#version 150

in vec3 Position;
in vec2 UV0;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;

out vec2 texCoord0;
out float zPos;

void main() {
    gl_Position = ProjMat * ModelViewMat * vec4(Position, 1.0);
    zPos = Position.z;

    texCoord0 = UV0;
}